use cuddle_actions::AddActionOptions;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    cuddle_actions::CuddleActions::default()
        .add_action(
            "something",
            || {
                println!("did something");
                Ok(())
            },
            &AddActionOptions::default(),
        )
        .execute()?;

    Ok(())
}
